> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/canvasresize.md).

# canvasResize

## Description

Resize an existing canvas, canvas are mainly used for printing.

### Platform Supported

* Web
* Mobile

## Input / Parameter

| Name         | Description                                             | Data Type                                                                             | Default | Options | Required |
| ------------ | ------------------------------------------------------- | ------------------------------------------------------------------------------------- | ------- | ------- | -------- |
| canvas       | An existing canvas to be copied over to the new canvas. | [HTMLCanvasElement](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/canvas) | -       | -       | Yes      |
| canvasWidth  | Width of the new resized canvas.                        | Number                                                                                | -       | -       | No       |
| canvasHeight | Height of the new resized canvas.                       | Number                                                                                | -       | -       | No       |
| extra        | Additional data to be used in the callbacks.            | Any                                                                                   | -       | -       | No       |

## Output

| Description                                                 | Output Type |
| ----------------------------------------------------------- | ----------- |
| Returns 'true' or 'false', if it was executed successfully. | Boolean     |

## Callback

### callback

The function to be executed when the canvas is resized successfully.

| Description              | Output Type                                                                           |
| ------------------------ | ------------------------------------------------------------------------------------- |
| Returns the html canvas. | [HTMLCanvasElement](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/canvas) |

### errorCallback

The function to be executed when the canvas is not resized successfully.

| Description        | Output Type |
| ------------------ | ----------- |
| Returns the error. | Text        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/canvasresize.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
